import java.util.Comparator;

public class FilmComparator implements Comparator<Film> {
    @Override
    public int compare(Film o1, Film o2) {
        if (o1.releaseYear < o2.releaseYear) {
            return -1; // this year is before the other
        } else if (o1.releaseYear > o2.releaseYear) {
            return 1;
        } else if (o1.releaseMonth < o2.releaseMonth) {
            return -1;
        } else if (o1.releaseMonth > o2.releaseMonth) {
            return 1;
        } else {
            return 0;
        }
    }

    @Override
    public boolean equals(Object obj) {
        return false;
    }
}
